Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1126034 - Review Request: php-pecl-fann - Wrapper for FANN Library
Review Request: php-pecl-fann - Wrapper for FANN Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-01 12:19 EDT by Remi Collet
Modified: 2014-08-22 15:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: php-pecl-fann-1.0.7-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-16 18:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tsmetana: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2014-08-01 12:19:40 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/7e01476bd027e125610efc9ed6384af621f41f92/php/pecl/php-pecl-fann/php-pecl-fann.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-fann-1.0.7-1.remi.src.rpm
Description: 
This package provides a PHP binding for FANN
(Fast Artificial Neural Network) Library.

Fedora Account System Username: remi

Copr test build:
http://copr.fedoraproject.org/coprs/remi/morephp/build/24356/
Comment 1 Tomas Smetana 2014-08-04 09:08:18 EDT
Here's the edited output of fedora-review.

- This is my first PHP package and the spec was not actually trivial, however
  it all looks quite sane
- Since I'm not quite able to check whether the ANNs in PHP work "as expected"
  I haven't been able to test the functionality of the packaged software
- I didn't test the build on all supported architectures


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "PHP (v3.01)". 2 files have unknown license.
     Detailed output of licensecheck in /home/tsmetana/1126034-php-pecl-
     fann/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary. 
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly. 
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files. 
     Note: phpCompatInfo version 3.2.0 static analyze results in
     /home/tsmetana/1126034-php-pecl-fann/phpci.log


Rpmlint
-------
Checking: php-pecl-fann-1.0.7-1.fc22.x86_64.rpm
          php-pecl-fann-1.0.7-1.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint php-pecl-fann
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:' 



Requires
--------
php-pecl-fann (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pecl
    config(php-pecl-fann) 
    libc.so.6()(64bit)
    libfann.so.2()(64bit)
    php(api)
    php(zend-abi)
    rtld(GNU_HASH) 



Provides
--------
php-pecl-fann:
    config(php-pecl-fann) 
    php-fann 
    php-fann(x86-64)
    php-pecl(fann) 
    php-pecl(fann)(x86-64)
    php-pecl-fann 
    php-pecl-fann(x86-64)



Unversioned so-files
--------------------
php-pecl-fann: /usr/lib64/php-zts/modules/fann.so
php-pecl-fann: /usr/lib64/php/modules/fann.so

Source checksums
----------------
http://pecl.php.net/get/fann-1.0.7.tgz :
  CHECKSUM(SHA256) this package     : 68ca95dfaea0d2a280e4942b8074c4973d41f6fd240c52c17ce245c10982ed8b
  CHECKSUM(SHA256) upstream package : 68ca95dfaea0d2a280e4942b8074c4973d41f6fd240c52c17ce245c10982ed8b


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1126034
Buildroot used: fedora-rawhide-x86_64 
Active plugins: Generic, PHP, Shell-api, C/C++ 
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

======================

Result: ACCEPT
Comment 2 Remi Collet 2014-08-04 09:15:56 EDT
>  I haven't been able to test the functionality of the packaged software
The test suite is probably enough ;)

Thanks for the review !



New Package SCM Request
=======================
Package Name: php-pecl-fann
Short Description: Wrapper for FANN Library
Upstream URL: http://pecl.php.net/package/fann
Owners: remi
Branches: f19 f20 f21 el6 epel7
InitialCC:
Comment 3 Gwyn Ciesla 2014-08-04 09:24:48 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2014-08-04 10:23:29 EDT
php-pecl-fann-1.0.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-pecl-fann-1.0.7-1.fc19
Comment 5 Fedora Update System 2014-08-04 10:23:34 EDT
php-pecl-fann-1.0.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-pecl-fann-1.0.7-1.fc20
Comment 6 Fedora Update System 2014-08-04 10:23:40 EDT
php-pecl-fann-1.0.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pecl-fann-1.0.7-1.el6
Comment 7 Fedora Update System 2014-08-07 07:47:05 EDT
Package php-pecl-fann-1.0.7-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-pecl-fann-1.0.7-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2121/php-pecl-fann-1.0.7-1.el6
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-08-16 18:32:41 EDT
php-pecl-fann-1.0.7-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-08-16 18:32:46 EDT
php-pecl-fann-1.0.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-08-22 15:17:50 EDT
php-pecl-fann-1.0.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.